%define majver %(echo %version | cut -d. -f 1-2)

Name:          gnome-desktop
Version:       3.10.2
Release:       1mamba
Summary:       Libraries for the Gnome desktop
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org
# bugfixes: http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}
Source:        http://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/%{majver}/gnome-desktop-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: GConf-devel
BuildRequires: glibc-devel
## API documentation
BuildRequires: gtk-doc
BuildRequires: libart_lgpl-devel
BuildRequires: libatk-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libglib-devel >= 2.18.0
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel >= 2.24.1
BuildRequires: libgnomeui-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libgtk-devel >= 2.14.2
BuildRequires: libICE-devel
BuildRequires: libpango-devel
BuildRequires: libpopt-devel
BuildRequires: libSM-devel
BuildRequires: libstartup-notification-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libz-devel
BuildRequires: ORBit2-devel
## AUTOBUILDREQ-END
BuildRequires: libgnomeui
BuildRequires: libscrollkeeper-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: gettext-devel
BuildRequires: gnome-doc-utils-devel
# API documentation
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: itstool
Obsoletes:     libgnome-desktop
Provides:      libgnome-desktop = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The gnome-desktop package contains an internal library (libgnomedesktop) used to implement some portions of the GNOME desktop, and also some data files and other shared components of the GNOME user environment.

%package devel
Summary:       Devel package for libgnome-desktop
Group:         Development/Libraries
Obsoletes:     libgnome-desktop-devel
Provides:      libgnome-desktop-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The gnome-desktop package contains an internal library (libgnomedesktop) used to implement some portions of the GNOME desktop, and also some data files and other shared components of the GNOME user environment.

This package contains static libraries and header files need for development.

%package apidocs
Summary:       %{pkgname} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{pkgname} API documentation.

%prep
%setup -q

%build
%configure \
   --with-gnome-distributor="openmamba" \
   --disable-scrollkeeper
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# stuff we don't want
rm -rf %{buildroot}/var/scrollkeeper

%find_lang %{name}-3.0

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}-3.0.lang
%defattr(-,root,root)
#%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GnomeDesktop-3.0.typelib
%{_libexecdir}/gnome-rr-debug
%{_datadir}/libgnome-desktop-3.0/pnp.ids
%{_datadir}/gnome/*
%{_datadir}/help/*/fdl/index.docbook
%{_datadir}/help/*/gpl/index.docbook
%{_datadir}/help/*/lgpl/index.docbook

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/gnome-desktop*.pc
%dir %{_includedir}/gnome-desktop-3.0
%{_includedir}/gnome-desktop-3.0/*
%{_datadir}/gir-1.0/GnomeDesktop-3.0.gir

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/%{name}3/

%changelog
* Mon Nov 25 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Mon Sep 09 2013 Automatic Build System <autodist@mambasoft.it> 3.8.4-1mamba
- automatic update by autodist

* Fri Jun 07 2013 Automatic Build System <autodist@mambasoft.it> 3.8.3-1mamba
- automatic version update by autodist

* Tue May 14 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0.1-1mamba
- automatic version update by autodist

* Tue Mar 19 2013 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Thu Oct 18 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Wed Oct 03 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0.1-1mamba
- automatic version update by autodist

* Mon May 14 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Mon Apr 16 2012 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Sun Oct 16 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Sat Oct 01 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Fri Jul 22 2011 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic update to 3.0.3.0 by autodist

* Wed Nov 17 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic update to 2.32.1 by autodist

* Wed Sep 29 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-2mamba
- automatic rebuild by autodist

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-1mamba
- automatic update to 2.30.2 by autodist

* Wed Apr 14 2010 Automatic Build System <autodist@mambasoft.it> 2.30.0-1mamba
- automatic update to 2.30.0 by autodist

* Tue Jan 26 2010 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update by autodist

* Mon Oct 26 2009 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- automatic update by autodist

* Mon Sep 28 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic update to 2.28.0 by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 2.26.3-1mamba
- automatic update by autodist

* Wed Jun 10 2009 Automatic Build System <autodist@mambasoft.it> 2.26.2-1mamba
- automatic update by autodist

* Fri Apr 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.1-1mamba
- automatic update by autodist

* Fri Mar 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- automatic update to 2.26.0 by autodist

* Thu Jan 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.3-1mamba
- automatic update by autodist

* Fri Sep 26 2008 gil <puntogil@libero.it> 2.24.0-1mamba
- update to 2.24.0

* Tue Jun 17 2008 gil <puntogil@libero.it> 2.22.2-1mamba
- update to 2.22.2

* Tue Oct 09 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.0-1mamba
- update to version 2.20.0

* Thu Jan 11 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.16.2-1qilnx
- update to version 2.16.2 by autospec
- updated specfile to permit automatic building
- new subpackage apidocs with API documentation

* Tue Aug 30 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.2-1qilnx
- update to version 2.10.2 by autospec

* Mon Aug 16 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.2-1qilnx
- first build
